EDIT - feature request #8235

Create separate menu for term tree editors for each term tree type
04/10/2019 01:04 PM - Patrick Plitzner

Status: Closed Start date:

Priority: New Due date:

Assignee: Patrick Plitzner % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.9

Severity: normal

Description

Copied from #8146:

* Why not using the term type in the label, e.g. instead of FeatureTree => Structure Tree. Then users must not think about what a
term type means if the label says "Feature Tree". Also it is not consistent to have term type structure under the label
"FeatureTree". However, this is a minor issue and if we implement the term type specific Term Tree editors soon we may keep it
as it is for now.

Update
Like for vocabularies, we need separate menu items for each type of term trees that open the corresponding term tree editor.

Related issues:
Related to EDIT - feature request #8146: Adapt taxeditor Ul to structure and ... Closed

Associated revisions

Revision 362b3a0c - 08/19/2019 04:54 PM - Patrick Plitzner

fix #8235 Create separate menu for term tree editors for each type

Revision 422fbab5 - 08/21/2019 04:09 PM - Patrick Plitzner

ref #8235 Fix term tree sub menu and context menu

Revision 38f0da6e - 08/23/2019 12:04 PM - Patrick Plitzner

ref #8235 adjust context menu items

History

#1 - 04/10/2019 01:05 PM - Patrick Plitzner
- Related to feature request #8146: Adapt taxeditor Ul to structure and property term type added

#2 - 04/10/2019 02:37 PM - Patrick Plitzner
- Subject changed from Show termType of term trees in taxeditor to Create separate menu for each term tree type

- Description updated

#3 - 04/10/2019 02:38 PM - Patrick Plitzner

- Subject changed from Create separate menu for each term tree type to Create separate menu for term tree editors for each term tree type

#4 - 04/10/2019 02:38 PM - Patrick Plitzner

- Target version changed from Unassigned CDM tickets to Release 5.7

#5 - 04/11/2019 11:28 AM - Patrick Plitzner

- Description updated

#6 - 05/03/2019 11:30 AM - Patrick Plitzner

- Target version changed from Release 5.7 to Release 5.8
#7 - 07/19/2019 03:01 PM - Andreas Miiller

- Target version changed from Release 5.8 to Release 5.10

#8 - 08/19/2019 04:55 PM - Patrick Plitzner
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|362b3a0c58e4b2b8620477ce38a80e2a3553bd36.

#9 - 08/19/2019 04:56 PM - Patrick Plitzner

- Assignee changed from Patrick Plitzner to Andreas Muiller

#10 - 08/20/2019 10:59 AM - Andreas Miiller

- Target version changed from Release 5.10 to Release 5.9

#11 - 08/20/2019 11:43 AM - Andreas Miiller
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Patrick Plitzner

Feature Tree Editors still have "New Structure Tree" and "New Property Tree" submenu.
Each Term type should have its own explicit "New" menu.

#12 - 08/20/2019 11:45 AM - Andreas Miuller

"New" and "Delete" is enough, we do not need "... Term Tree

#13 - 08/21/2019 04:10 PM - Patrick Plitzner
- Status changed from Feedback to Resolved
- Assignee changed from Patrick Plitzner to Andreas Miiller

- % Done changed from 50 to 80

#14 - 08/23/2019 09:49 AM - Andreas Miiller
- Status changed from Resolved to Feedback
- Assignee changed from Andreas Muiller to Patrick Plitzner
- % Done changed from 80 to 50
Andreas Muller wrote:
"New" and "Delete" is enough, we do not need "... Term Tree"

This seems not yet implemented. If we keep it we should try to replace "Term" by "Feature", "Structure", "Property", ... (can become a separate ticket
as not critical for release)

#15 - 08/23/2019 09:50 AM - Andreas Miuller

Generally it works and can be closed.

Open issue (new ticket?) is that Characters can not be added to Featuretrees currently but should (see separate mail).

#16 - 08/23/2019 12:06 PM - Patrick Plitzner
- Status changed from Feedback to Closed
- % Done changed from 50 to 100

Adjusted the context menu entries. Closing ticket.

#17 - 08/23/2019 03:11 PM - Andreas Miiller
- Status changed from Closed to Feedback

Andreas Muller wrote:
Generally it works and can be closed.

Open issue (new ticket?) is that Characters can not be added to Featuretrees currently but should (see separate mail).

What about the later issue. Is it also fixed. There does not seem to be a new ticket and fix is also not mentinoned.

#18 - 08/26/2019 01:21 PM - Patrick Plitzner
- Status changed from Feedback to Closed

Created new ticket for adding characters to feature trees - #8488
